<%@ Page Language="C#" AutoEventWireup="true" ValidateRequest="false" CodeFile="setting.aspx.cs"
    Inherits="sysadmin_bbs_setting" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>无标题页</title>
    <link href="style/style.css" rel="stylesheet" type="text/css" />
    <script src="scripts/common.js" type="text/javascript"></script>
</head>
<body>
    <div class="maindiv">
        <table class="maintable" cellpadding="0" cellspacing="1" border="0">
            <tr>
                <td class="title" colspan="2">
                    ■ 水印功能设置 [请先阅读说明]</td>
            </tr>
            <tr>
                <td class="nav" colspan="2">请按各项说明进行配置，带 * 表示该项必填或必选。最好不要直接修改或破坏配置文件，否则会引起网站错误。</td>
            </tr>
        </table>
        <form id="configform" runat="server" style="margin: 0; padding: 0">
            <div id="items" runat="server"></div>
        </form>

        <script type="text/javascript">
        <!--
        function chkPost(){
            var f = document.forms[0];
            for (var i=0; i<f.elements.length; i++){
	            var element = f.elements[i];
	            if (element.type.toLowerCase() != "text"){
	                continue;
	            }
	            var pattern = element.getAttribute('pattern');
	            if (pattern == '' || pattern == 'undefined'){
	                continue;		
	            }
	            var value = element.value.replace(/(^\s*)|(\s*$)/g, "");
	            var evalStr = "value.search(/" + pattern + "/gi)";
	            if (eval(evalStr) < 0){
		            alert('配置项 ' + element.name + ' 不符合要求，请重新填写！');
		            element.focus();
		            return false;
	            }
            }
            return confirm('您确定要修改水印功能配置吗？');
        }
        //-->
        </script>

    </div>
</body>
</html>
